-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Generation Time: Mar 15, 2023 at 07:57 AM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `dbiLayer`
--

-- --------------------------------------------------------

--
-- Table structure for table `dbACL`
--

CREATE TABLE `dbACL` (
  `id` int(11) NOT NULL,
  `dbaclId` int(11) NOT NULL,
  `dbaclname` varchar(20) NOT NULL,
  `dbuserId` int(11) DEFAULT NULL,
  `dbroleId` int(11) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbauth`
--

CREATE TABLE `dbauth` (
  `id` int(10) NOT NULL,
  `dbauthid` int(10) NOT NULL,
  `dbauthdesc` varchar(20) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbBilling`
--

CREATE TABLE `dbBilling` (
  `id` int(11) NOT NULL,
  `dbbillingId` int(11) NOT NULL,
  `dbbillingname` varchar(20) NOT NULL,
  `customerId` int(11) DEFAULT NULL,
  `amount` int(11) DEFAULT NULL,
  `dbbillingdate` varchar(20) DEFAULT NULL,
  `lastupdate` varchar(20) DEFAULT NULL,
  `dbinvoiceId` int(11) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbCategory`
--

CREATE TABLE `dbCategory` (
  `id` int(11) NOT NULL,
  `dbCatId` int(10) NOT NULL,
  `dbschemaId` int(11) NOT NULL,
  `dbCatName` varchar(20) DEFAULT NULL,
  `dbCatDescr` varchar(20) DEFAULT NULL,
  `dbCatTypeId` int(11) NOT NULL,
  `dbCatInstId` int(11) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbCharges`
--

CREATE TABLE `dbCharges` (
  `id` int(11) NOT NULL,
  `dbchargeId` int(11) NOT NULL,
  `dbschemaid` int(15) NOT NULL,
  `dbchargename` varchar(20) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbCity`
--

CREATE TABLE `dbCity` (
  `id` int(11) NOT NULL,
  `dbcityName` varchar(20) DEFAULT NULL,
  `dbstateId` int(11) DEFAULT NULL,
  `dbcityId` int(11) NOT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbcnnString`
--

CREATE TABLE `dbcnnString` (
  `id` int(11) NOT NULL,
  `dbcnnstrinstid` int(11) DEFAULT NULL,
  `dbcnnstrName` varchar(20) DEFAULT NULL,
  `dbcnnstrunId` int(11) DEFAULT NULL,
  `dbcnnstrpwId` int(11) DEFAULT NULL,
  `dbcnnstripId` int(11) DEFAULT NULL,
  `dbcnnstrId` int(11) NOT NULL,
  `dbcnnstrtypeId` int(11) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbcollection`
--

CREATE TABLE `dbcollection` (
  `id` int(10) NOT NULL,
  `dbcollectionid` int(10) NOT NULL,
  `dbcollectionname` varchar(20) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbCountry`
--

CREATE TABLE `dbCountry` (
  `id` int(11) NOT NULL,
  `dbcountryName` varchar(20) DEFAULT NULL,
  `dbcountryDesc` varchar(20) DEFAULT NULL,
  `dbcountryId` int(11) NOT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbCustomer`
--

CREATE TABLE `dbCustomer` (
  `id` int(11) NOT NULL,
  `customerId` int(11) NOT NULL,
  `firstname` varchar(20) NOT NULL,
  `lastname` varchar(20) DEFAULT NULL,
  `emailId` int(11) DEFAULT NULL,
  `userId` int(11) DEFAULT NULL,
  `address` varchar(20) DEFAULT NULL,
  `createdate` varchar(20) DEFAULT NULL,
  `lastupdated` varchar(20) DEFAULT NULL,
  `planId` int(11) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbdelNote`
--

CREATE TABLE `dbdelNote` (
  `id` int(11) NOT NULL,
  `dbdelnoteId` int(11) DEFAULT NULL,
  `dbdelnoteName` varchar(20) NOT NULL,
  `dbdelnotenameDesc` varchar(20) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbDeploy`
--

CREATE TABLE `dbDeploy` (
  `id` int(11) NOT NULL,
  `dbdeployId` int(11) NOT NULL,
  `dbdeploybillingid` int(10) NOT NULL,
  `dbdeployName` varchar(20) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbemail`
--

CREATE TABLE `dbemail` (
  `id` int(10) NOT NULL,
  `dbemailId` int(10) NOT NULL,
  `dbemail` varchar(100) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbencoding`
--

CREATE TABLE `dbencoding` (
  `id` int(20) NOT NULL,
  `dbencodingid` int(20) NOT NULL,
  `dbencodingdesc` varchar(200) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbgenINV`
--

CREATE TABLE `dbgenINV` (
  `id` int(11) NOT NULL,
  `dbgenInvId` int(11) DEFAULT NULL,
  `dbgeninvinvid` int(10) NOT NULL,
  `dbgenInvType` varchar(20) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbGST`
--

CREATE TABLE `dbGST` (
  `id` int(11) NOT NULL,
  `dbgstId` int(11) DEFAULT NULL,
  `dbgstNumber` int(11) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbHash`
--

CREATE TABLE `dbHash` (
  `id` int(11) NOT NULL,
  `dbhashId` int(11) NOT NULL,
  `dbhashname` varchar(20) NOT NULL,
  `dbhashtype` varchar(20) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbInstance`
--

CREATE TABLE `dbInstance` (
  `id` int(11) NOT NULL,
  `dbinstanceId` int(20) NOT NULL,
  `dbportId` int(11) DEFAULT NULL,
  `dbipaddressId` int(11) DEFAULT NULL,
  `dbpasswordId` int(11) DEFAULT NULL,
  `dbusernameId` int(11) DEFAULT NULL,
  `dbnameId` int(11) DEFAULT NULL,
  `dbcatergoryId` int(11) DEFAULT NULL,
  `dbtypeId` int(11) DEFAULT NULL,
  `dbschemaId` int(11) DEFAULT NULL,
  `dbinstanceName` varchar(20) NOT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbInvoice`
--

CREATE TABLE `dbInvoice` (
  `id` int(11) NOT NULL,
  `dbinvoiceId` int(11) NOT NULL,
  `dbinvoiceNumber` int(11) NOT NULL,
  `dbinvoiceDate` varchar(20) DEFAULT NULL,
  `dbinvoiceperiodstartDate` varchar(20) DEFAULT NULL,
  `dbinvoiceperiodendDate` varchar(20) DEFAULT NULL,
  `dbbillingid` int(11) DEFAULT NULL,
  `customerId` int(11) DEFAULT NULL,
  `dbinvoicelineitemId` int(11) DEFAULT NULL,
  `dbchargeid` int(10) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbInvoiceLineItem`
--

CREATE TABLE `dbInvoiceLineItem` (
  `id` int(11) NOT NULL,
  `dbinvoicelineitemId` int(11) NOT NULL,
  `dbinvoiceid` int(15) NOT NULL,
  `dbinvoicelineitemname` varchar(20) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbipAddress`
--

CREATE TABLE `dbipAddress` (
  `id` int(11) NOT NULL,
  `dbipVal` varchar(20) DEFAULT NULL,
  `dbipDesc` varchar(20) DEFAULT NULL,
  `dbipinstId` int(11) DEFAULT NULL,
  `dbipunId` int(11) DEFAULT NULL,
  `dbippwdId` int(11) DEFAULT NULL,
  `dbipId` int(11) NOT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbKYC`
--

CREATE TABLE `dbKYC` (
  `id` int(11) NOT NULL,
  `dbkycId` int(11) NOT NULL,
  `dbkyctypeId` int(11) NOT NULL,
  `dbkycDesc` varchar(20) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbName`
--

CREATE TABLE `dbName` (
  `id` int(11) NOT NULL,
  `dbName` varchar(20) DEFAULT NULL,
  `dbnameId` int(11) NOT NULL,
  `dbschemaId` int(11) NOT NULL,
  `dbnametypeId` int(11) DEFAULT NULL,
  `dbnamecatId` int(11) DEFAULT NULL,
  `dbnameinstId` int(11) DEFAULT NULL,
  `dbnameschemaId` int(11) NOT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbOrders`
--

CREATE TABLE `dbOrders` (
  `id` int(11) NOT NULL,
  `dbordersId` int(11) NOT NULL,
  `dbbillingid` int(15) NOT NULL,
  `dbpackageid` int(15) NOT NULL,
  `dborderName` varchar(20) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbOrganization`
--

CREATE TABLE `dbOrganization` (
  `id` int(11) NOT NULL,
  `dborganizationId` int(11) NOT NULL,
  `dbpanid` int(15) NOT NULL,
  `dborganizationName` varchar(20) NOT NULL,
  `dborganizationDesc` varchar(20) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPackage`
--

CREATE TABLE `dbPackage` (
  `id` int(11) NOT NULL,
  `dbpackageId` int(11) NOT NULL,
  `dbpackageName` varchar(20) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPAN`
--

CREATE TABLE `dbPAN` (
  `id` int(11) NOT NULL,
  `dbpanId` int(11) DEFAULT NULL,
  `dbemailId` int(11) DEFAULT NULL,
  `dbphoneId` int(11) DEFAULT NULL,
  `dbkycId` int(11) DEFAULT NULL,
  `dbpanNumber` varchar(100) NOT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPassword`
--

CREATE TABLE `dbPassword` (
  `id` int(11) NOT NULL,
  `dbPassword` varchar(20) DEFAULT NULL,
  `dbPasswordDesc` varchar(20) NOT NULL,
  `dbpasswordunId` int(11) NOT NULL,
  `dbpasswordId` int(11) NOT NULL,
  `dbpasswordcategoryId` int(11) DEFAULT NULL,
  `dbpasswordinstId` int(11) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPermission`
--

CREATE TABLE `dbPermission` (
  `id` int(11) NOT NULL,
  `dbpermissiontypeId` int(11) DEFAULT NULL,
  `dbpermissionname` varchar(20) NOT NULL,
  `dbpermissionId` int(11) NOT NULL,
  `dbaclId` int(11) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbphone`
--

CREATE TABLE `dbphone` (
  `id` int(10) NOT NULL,
  `dbphone` int(20) NOT NULL,
  `dbphoneid` int(10) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPINCODE`
--

CREATE TABLE `dbPINCODE` (
  `id` int(11) NOT NULL,
  `dbpinId` int(11) DEFAULT NULL,
  `dbcityId` int(11) DEFAULT NULL,
  `dbstateId` int(11) DEFAULT NULL,
  `dbcoutryId` int(11) DEFAULT NULL,
  `dbpinCode` int(11) NOT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPlan`
--

CREATE TABLE `dbPlan` (
  `id` int(11) NOT NULL,
  `dbplanId` int(11) NOT NULL,
  `dbplanName` varchar(20) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPlanBilling`
--

CREATE TABLE `dbPlanBilling` (
  `id` int(11) NOT NULL,
  `dbplanbillingId` int(11) NOT NULL,
  `dbpackageid` int(15) NOT NULL,
  `dbplanid` int(15) NOT NULL,
  `dbplanbillingname` varchar(20) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPlans`
--

CREATE TABLE `dbPlans` (
  `id` int(11) NOT NULL,
  `dbplanId` int(11) NOT NULL,
  `dbplantypeId` int(11) DEFAULT NULL,
  `planbillingId` int(11) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPO`
--

CREATE TABLE `dbPO` (
  `id` int(11) NOT NULL,
  `dbpoId` int(11) NOT NULL,
  `dbpoNumber` int(11) NOT NULL,
  `dbinvoiceid` int(10) NOT NULL,
  `dbbillingid` int(10) NOT NULL,
  `dbcustomerid` int(10) NOT NULL,
  `dborgid` int(10) NOT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPortNumber`
--

CREATE TABLE `dbPortNumber` (
  `id` int(11) NOT NULL,
  `dbportname` int(11) NOT NULL,
  `dbportId` int(11) DEFAULT NULL,
  `dbportcategory` varchar(20) DEFAULT NULL,
  `dbportDesc` varchar(20) DEFAULT NULL,
  `dbportinstanceId` int(11) DEFAULT NULL,
  `dbcoutryId` int(11) DEFAULT NULL,
  `dbpinCode` int(11) DEFAULT NULL,
  `dbportunId` int(11) DEFAULT NULL,
  `dbportpwId` int(11) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbPROD`
--

CREATE TABLE `dbPROD` (
  `id` int(11) NOT NULL,
  `dbprodId` int(11) DEFAULT NULL,
  `dbprodName` varchar(20) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbRole`
--

CREATE TABLE `dbRole` (
  `id` int(11) NOT NULL,
  `dbroleId` int(11) NOT NULL,
  `dbuserid` int(15) NOT NULL,
  `dbuacid` int(15) NOT NULL,
  `dbpermissionid` int(15) NOT NULL,
  `dbrolename` varchar(20) NOT NULL,
  `dbroledesc` varchar(20) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbSchema`
--

CREATE TABLE `dbSchema` (
  `id` int(11) NOT NULL,
  `dbschemaName` varchar(20) DEFAULT NULL,
  `dbschemadesc` varchar(20) DEFAULT NULL,
  `dbschemaId` int(11) NOT NULL,
  `dbtypeId` int(11) NOT NULL,
  `dbschemacollId` int(11) NOT NULL,
  `dbschemautfId` int(11) NOT NULL,
  `dbschemaencodingId` int(11) NOT NULL,
  `dbschemavariabletypeID` int(11) NOT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbState`
--

CREATE TABLE `dbState` (
  `id` int(11) NOT NULL,
  `dbstateName` varchar(20) DEFAULT NULL,
  `dbstateDesc` varchar(20) DEFAULT NULL,
  `dbstateId` int(11) NOT NULL,
  `dbcountryId` int(11) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbType`
--

CREATE TABLE `dbType` (
  `id` int(11) NOT NULL,
  `dbtypeName` varchar(20) DEFAULT NULL,
  `dbtypeId` int(11) NOT NULL,
  `dbschemaId` int(11) NOT NULL,
  `dbtypeDescription` varchar(20) DEFAULT NULL,
  `dbtypecatId` int(11) DEFAULT NULL,
  `dbtypeinstId` int(11) DEFAULT NULL,
  `dbtypenameId` int(11) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbUAC`
--

CREATE TABLE `dbUAC` (
  `id` int(11) NOT NULL,
  `dbuacId` int(11) NOT NULL,
  `dbuactype` varchar(11) DEFAULT NULL,
  `dbuacname` varchar(11) NOT NULL,
  `dbroleId` int(11) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbUname`
--

CREATE TABLE `dbUname` (
  `id` int(11) NOT NULL,
  `dbUnameId` int(11) NOT NULL,
  `dbUname` varchar(20) DEFAULT NULL,
  `dbUnameDesc` varchar(20) DEFAULT NULL,
  `dbUnameinstId` int(11) DEFAULT NULL,
  `dbnameId` int(11) DEFAULT NULL,
  `dbUnamecatId` int(11) DEFAULT NULL,
  `status` int(5) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbUsageLimit`
--

CREATE TABLE `dbUsageLimit` (
  `id` int(11) NOT NULL,
  `usagelimidId` int(11) NOT NULL,
  `dbschemaid` int(15) NOT NULL,
  `dborgid` int(15) NOT NULL,
  `dbroleid` int(15) NOT NULL,
  `dbplanid` int(15) NOT NULL,
  `usagelimitmin` int(11) DEFAULT NULL,
  `usagelimitmax` int(11) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbUsers`
--

CREATE TABLE `dbUsers` (
  `id` int(11) NOT NULL,
  `dbusersId` int(11) NOT NULL,
  `dbuserstype` varchar(20) DEFAULT NULL,
  `dbusersname` int(11) NOT NULL,
  `dbusersemail` int(11) DEFAULT NULL,
  `dbpasswordId` int(11) DEFAULT NULL,
  `dbusernameId` int(11) DEFAULT NULL,
  `dbuserdp` varchar(20) DEFAULT NULL,
  `dbuserrole` varchar(20) DEFAULT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `dbvariabletype`
--

CREATE TABLE `dbvariabletype` (
  `id` int(10) NOT NULL,
  `dbvariableid` int(10) NOT NULL,
  `dbvariablename` varchar(20) NOT NULL,
  `status` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `dbACL`
--
ALTER TABLE `dbACL`
  ADD PRIMARY KEY (`dbaclId`),
  ADD UNIQUE KEY `dbuserId` (`dbuserId`),
  ADD UNIQUE KEY `dbroleId` (`dbroleId`),
  ADD KEY `dbaclId` (`dbaclId`);

--
-- Indexes for table `dbauth`
--
ALTER TABLE `dbauth`
  ADD PRIMARY KEY (`dbauthid`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `dbauthid` (`dbauthid`);

--
-- Indexes for table `dbBilling`
--
ALTER TABLE `dbBilling`
  ADD PRIMARY KEY (`dbbillingId`),
  ADD UNIQUE KEY `dbinvoiceId` (`dbinvoiceId`),
  ADD UNIQUE KEY `customerId` (`customerId`),
  ADD KEY `dbbillingId` (`dbbillingId`);

--
-- Indexes for table `dbCategory`
--
ALTER TABLE `dbCategory`
  ADD PRIMARY KEY (`dbCatId`),
  ADD UNIQUE KEY `dbCatId` (`dbCatId`),
  ADD UNIQUE KEY `dbschemaId` (`dbschemaId`),
  ADD UNIQUE KEY `dbCatTypeId` (`dbCatTypeId`),
  ADD UNIQUE KEY `dbCatInstId` (`dbCatInstId`),
  ADD KEY `dbCatName` (`dbCatName`);

--
-- Indexes for table `dbCharges`
--
ALTER TABLE `dbCharges`
  ADD PRIMARY KEY (`dbchargeId`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `dbchargeId_2` (`dbchargeId`),
  ADD UNIQUE KEY `dbschemaid` (`dbschemaid`),
  ADD KEY `dbchargeId` (`dbchargeId`);

--
-- Indexes for table `dbCity`
--
ALTER TABLE `dbCity`
  ADD PRIMARY KEY (`id`,`dbcityId`),
  ADD UNIQUE KEY `dbcityId` (`dbcityId`),
  ADD KEY `dbcityName` (`dbcityName`),
  ADD KEY `fk_dbstate_dbcityid` (`dbstateId`);

--
-- Indexes for table `dbcnnString`
--
ALTER TABLE `dbcnnString`
  ADD PRIMARY KEY (`id`,`dbcnnstrId`),
  ADD UNIQUE KEY `dbcnnstrpwId` (`dbcnnstrpwId`),
  ADD UNIQUE KEY `dbcnnstrunId` (`dbcnnstrunId`),
  ADD UNIQUE KEY `dbcnnstrtypeId` (`dbcnnstrtypeId`),
  ADD UNIQUE KEY `dbcnnstrinstid` (`dbcnnstrinstid`),
  ADD KEY `dbcnnstrName` (`dbcnnstrName`),
  ADD KEY `fk_dbcnnstring_ipaddr` (`dbcnnstripId`);

--
-- Indexes for table `dbcollection`
--
ALTER TABLE `dbcollection`
  ADD PRIMARY KEY (`dbcollectionid`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `dbcollectionid` (`dbcollectionid`);

--
-- Indexes for table `dbCountry`
--
ALTER TABLE `dbCountry`
  ADD PRIMARY KEY (`id`,`dbcountryId`),
  ADD KEY `dbcountryName` (`dbcountryName`),
  ADD KEY `fk_country_portno` (`dbcountryId`);

--
-- Indexes for table `dbCustomer`
--
ALTER TABLE `dbCustomer`
  ADD PRIMARY KEY (`customerId`),
  ADD UNIQUE KEY `customerId` (`customerId`),
  ADD UNIQUE KEY `userId` (`userId`),
  ADD UNIQUE KEY `emailId` (`emailId`),
  ADD UNIQUE KEY `planId` (`planId`);

--
-- Indexes for table `dbdelNote`
--
ALTER TABLE `dbdelNote`
  ADD PRIMARY KEY (`id`,`dbdelnoteName`),
  ADD KEY `dbdelnoteId` (`dbdelnoteId`);

--
-- Indexes for table `dbDeploy`
--
ALTER TABLE `dbDeploy`
  ADD PRIMARY KEY (`dbdeployId`),
  ADD UNIQUE KEY `dbdeployId` (`dbdeployId`),
  ADD UNIQUE KEY `dbdeploybillingid` (`dbdeploybillingid`);

--
-- Indexes for table `dbemail`
--
ALTER TABLE `dbemail`
  ADD PRIMARY KEY (`dbemailId`),
  ADD UNIQUE KEY `dbemailId` (`dbemailId`),
  ADD UNIQUE KEY `id` (`id`);

--
-- Indexes for table `dbencoding`
--
ALTER TABLE `dbencoding`
  ADD PRIMARY KEY (`dbencodingid`),
  ADD UNIQUE KEY `dbencodingid` (`dbencodingid`),
  ADD UNIQUE KEY `id` (`id`);

--
-- Indexes for table `dbgenINV`
--
ALTER TABLE `dbgenINV`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `dbgeninvinvid` (`dbgeninvinvid`),
  ADD KEY `dbgenInvId` (`dbgenInvId`);

--
-- Indexes for table `dbHash`
--
ALTER TABLE `dbHash`
  ADD PRIMARY KEY (`dbhashId`),
  ADD UNIQUE KEY `dbhashId` (`dbhashId`);

--
-- Indexes for table `dbInstance`
--
ALTER TABLE `dbInstance`
  ADD PRIMARY KEY (`dbinstanceId`),
  ADD UNIQUE KEY `dbinstanceId` (`dbinstanceId`),
  ADD UNIQUE KEY `dbcatergoryId` (`dbcatergoryId`),
  ADD UNIQUE KEY `dbtypeId` (`dbtypeId`),
  ADD UNIQUE KEY `dbschemaId` (`dbschemaId`),
  ADD UNIQUE KEY `dbnameId` (`dbnameId`),
  ADD UNIQUE KEY `dbusernameId` (`dbusernameId`),
  ADD UNIQUE KEY `dbpasswordId` (`dbpasswordId`),
  ADD UNIQUE KEY `dbipaddressId` (`dbipaddressId`),
  ADD UNIQUE KEY `dbportId` (`dbportId`);

--
-- Indexes for table `dbInvoice`
--
ALTER TABLE `dbInvoice`
  ADD PRIMARY KEY (`dbinvoiceId`),
  ADD UNIQUE KEY `dbinvoiceId` (`dbinvoiceId`),
  ADD UNIQUE KEY `dbchargeid` (`dbchargeid`),
  ADD UNIQUE KEY `dbbillingid` (`dbbillingid`),
  ADD UNIQUE KEY `customerId` (`customerId`),
  ADD UNIQUE KEY `dbinvoicelineitemId` (`dbinvoicelineitemId`);

--
-- Indexes for table `dbInvoiceLineItem`
--
ALTER TABLE `dbInvoiceLineItem`
  ADD PRIMARY KEY (`dbinvoicelineitemId`),
  ADD UNIQUE KEY `dbinvoicelineitemId` (`dbinvoicelineitemId`),
  ADD UNIQUE KEY `dbinvoiceid` (`dbinvoiceid`);

--
-- Indexes for table `dbipAddress`
--
ALTER TABLE `dbipAddress`
  ADD PRIMARY KEY (`id`,`dbipId`),
  ADD UNIQUE KEY `dbipId` (`dbipId`),
  ADD UNIQUE KEY `dbipinstId` (`dbipinstId`),
  ADD UNIQUE KEY `dbipunId` (`dbipunId`),
  ADD KEY `dbipDesc` (`dbipDesc`),
  ADD KEY `FK_dbipaddre_passwordid` (`dbippwdId`);

--
-- Indexes for table `dbKYC`
--
ALTER TABLE `dbKYC`
  ADD PRIMARY KEY (`dbkycId`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `dbkyctypeId` (`dbkyctypeId`),
  ADD KEY `dbkycId` (`dbkycId`);

--
-- Indexes for table `dbName`
--
ALTER TABLE `dbName`
  ADD PRIMARY KEY (`id`,`dbnameId`),
  ADD UNIQUE KEY `dbnameschemaId` (`dbnameschemaId`),
  ADD UNIQUE KEY `dbnameId` (`dbnameId`),
  ADD UNIQUE KEY `dbschemaId` (`dbschemaId`),
  ADD UNIQUE KEY `dbnamecatId` (`dbnamecatId`),
  ADD UNIQUE KEY `dbnameinstId` (`dbnameinstId`),
  ADD KEY `dbName` (`dbName`),
  ADD KEY `fk_name_typeid` (`dbnametypeId`);

--
-- Indexes for table `dbOrders`
--
ALTER TABLE `dbOrders`
  ADD PRIMARY KEY (`dbordersId`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `dbbillingid` (`dbbillingid`),
  ADD UNIQUE KEY `dbpackageid` (`dbpackageid`),
  ADD KEY `dbordersId` (`dbordersId`);

--
-- Indexes for table `dbOrganization`
--
ALTER TABLE `dbOrganization`
  ADD PRIMARY KEY (`dborganizationId`),
  ADD UNIQUE KEY `dborganizationId` (`dborganizationId`),
  ADD UNIQUE KEY `dbpanid` (`dbpanid`);

--
-- Indexes for table `dbPackage`
--
ALTER TABLE `dbPackage`
  ADD PRIMARY KEY (`dbpackageId`),
  ADD UNIQUE KEY `id` (`id`),
  ADD KEY `dbpackageId` (`dbpackageId`);

--
-- Indexes for table `dbPAN`
--
ALTER TABLE `dbPAN`
  ADD PRIMARY KEY (`id`,`dbpanNumber`),
  ADD UNIQUE KEY `dbphoneId` (`dbphoneId`),
  ADD UNIQUE KEY `dbemailId` (`dbemailId`),
  ADD KEY `dbpanId` (`dbpanId`),
  ADD KEY `fk_db_pan_kycid` (`dbkycId`);

--
-- Indexes for table `dbPassword`
--
ALTER TABLE `dbPassword`
  ADD PRIMARY KEY (`dbpasswordId`),
  ADD UNIQUE KEY `dbpasswordunId` (`dbpasswordunId`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `dbpasswordcategoryId` (`dbpasswordcategoryId`),
  ADD UNIQUE KEY `dbpasswordinstId` (`dbpasswordinstId`),
  ADD KEY `dbpasswordId` (`dbpasswordId`);

--
-- Indexes for table `dbPermission`
--
ALTER TABLE `dbPermission`
  ADD PRIMARY KEY (`dbpermissionId`),
  ADD UNIQUE KEY `dbpermissionId` (`dbpermissionId`),
  ADD UNIQUE KEY `dbaclId` (`dbaclId`),
  ADD UNIQUE KEY `dbpermissiontypeId` (`dbpermissiontypeId`);

--
-- Indexes for table `dbphone`
--
ALTER TABLE `dbphone`
  ADD PRIMARY KEY (`dbphoneid`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `dbphoneid` (`dbphoneid`);

--
-- Indexes for table `dbPINCODE`
--
ALTER TABLE `dbPINCODE`
  ADD PRIMARY KEY (`id`,`dbpinCode`),
  ADD KEY `dbpinId` (`dbpinId`),
  ADD KEY `fk_pin_countryid` (`dbcoutryId`),
  ADD KEY `fk_pin_stateid` (`dbstateId`),
  ADD KEY `fk_pin_cityid` (`dbcityId`);

--
-- Indexes for table `dbPlan`
--
ALTER TABLE `dbPlan`
  ADD PRIMARY KEY (`dbplanId`),
  ADD UNIQUE KEY `dbplanId` (`dbplanId`);

--
-- Indexes for table `dbPlanBilling`
--
ALTER TABLE `dbPlanBilling`
  ADD PRIMARY KEY (`dbplanbillingId`),
  ADD UNIQUE KEY `dbplanbillingId` (`dbplanbillingId`),
  ADD UNIQUE KEY `dbpackageid` (`dbpackageid`),
  ADD UNIQUE KEY `dbplanid` (`dbplanid`);

--
-- Indexes for table `dbPlans`
--
ALTER TABLE `dbPlans`
  ADD PRIMARY KEY (`dbplanId`),
  ADD UNIQUE KEY `dbplanId` (`dbplanId`),
  ADD UNIQUE KEY `dbplantypeId` (`dbplantypeId`),
  ADD UNIQUE KEY `planbillingId` (`planbillingId`);

--
-- Indexes for table `dbPO`
--
ALTER TABLE `dbPO`
  ADD PRIMARY KEY (`dbpoId`),
  ADD UNIQUE KEY `dbpoNumber` (`dbpoNumber`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `dbpoId_2` (`dbpoId`),
  ADD UNIQUE KEY `dbinvoiceid` (`dbinvoiceid`),
  ADD UNIQUE KEY `dbbillingid` (`dbbillingid`),
  ADD UNIQUE KEY `dbcustomerid` (`dbcustomerid`),
  ADD UNIQUE KEY `dborgid` (`dborgid`),
  ADD KEY `dbpoId` (`dbpoId`);

--
-- Indexes for table `dbPortNumber`
--
ALTER TABLE `dbPortNumber`
  ADD UNIQUE KEY `dbportunId` (`dbportunId`),
  ADD UNIQUE KEY `dbportpwId` (`dbportpwId`),
  ADD UNIQUE KEY `dbcoutryId` (`dbcoutryId`),
  ADD UNIQUE KEY `dbportinstanceId` (`dbportinstanceId`),
  ADD KEY `fk_port_instanceid` (`dbportId`);

--
-- Indexes for table `dbPROD`
--
ALTER TABLE `dbPROD`
  ADD PRIMARY KEY (`id`),
  ADD KEY `dbprodId` (`dbprodId`);

--
-- Indexes for table `dbRole`
--
ALTER TABLE `dbRole`
  ADD PRIMARY KEY (`dbroleId`),
  ADD UNIQUE KEY `dbroleId` (`dbroleId`),
  ADD UNIQUE KEY `dbuserid` (`dbuserid`),
  ADD UNIQUE KEY `dbuacid` (`dbuacid`),
  ADD UNIQUE KEY `dbpermissionid` (`dbpermissionid`);

--
-- Indexes for table `dbSchema`
--
ALTER TABLE `dbSchema`
  ADD PRIMARY KEY (`id`,`dbschemaId`),
  ADD UNIQUE KEY `dbschemaId` (`dbschemaId`),
  ADD UNIQUE KEY `dbtypeId` (`dbtypeId`),
  ADD UNIQUE KEY `dbschemacollId` (`dbschemacollId`),
  ADD UNIQUE KEY `dbschemaencodingId` (`dbschemaencodingId`),
  ADD UNIQUE KEY `dbschemautfId` (`dbschemautfId`),
  ADD UNIQUE KEY `dbschemavariabletypeID` (`dbschemavariabletypeID`),
  ADD KEY `dbschemaName` (`dbschemaName`,`dbschemadesc`);

--
-- Indexes for table `dbState`
--
ALTER TABLE `dbState`
  ADD PRIMARY KEY (`id`,`dbstateId`),
  ADD UNIQUE KEY `dbstateId` (`dbstateId`),
  ADD KEY `dbstateName` (`dbstateName`),
  ADD KEY `fkcountrystateid` (`dbcountryId`);

--
-- Indexes for table `dbType`
--
ALTER TABLE `dbType`
  ADD PRIMARY KEY (`id`,`dbtypeId`),
  ADD UNIQUE KEY `dbtypeId` (`dbtypeId`),
  ADD UNIQUE KEY `dbschemaid` (`dbschemaId`),
  ADD UNIQUE KEY `dbtypeinstId` (`dbtypeinstId`),
  ADD KEY `dbtypeName` (`dbtypeName`),
  ADD KEY `fk_type_catid` (`dbtypecatId`);

--
-- Indexes for table `dbUAC`
--
ALTER TABLE `dbUAC`
  ADD PRIMARY KEY (`dbuacId`),
  ADD UNIQUE KEY `dbuacId` (`dbuacId`),
  ADD UNIQUE KEY `dbroleId` (`dbroleId`);

--
-- Indexes for table `dbUname`
--
ALTER TABLE `dbUname`
  ADD PRIMARY KEY (`dbUnameId`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `dbUnameinstId` (`dbUnameinstId`),
  ADD KEY `dbUnameId` (`dbUnameId`),
  ADD KEY `fk_dbunsername_catid` (`dbUnamecatId`),
  ADD KEY `fk_dbusername_nameid` (`dbnameId`);

--
-- Indexes for table `dbUsageLimit`
--
ALTER TABLE `dbUsageLimit`
  ADD PRIMARY KEY (`usagelimidId`),
  ADD UNIQUE KEY `usagelimidId` (`usagelimidId`),
  ADD UNIQUE KEY `dbschemaid` (`dbschemaid`),
  ADD UNIQUE KEY `dborgid` (`dborgid`),
  ADD UNIQUE KEY `dbroleid` (`dbroleid`),
  ADD UNIQUE KEY `dbplanid` (`dbplanid`);

--
-- Indexes for table `dbUsers`
--
ALTER TABLE `dbUsers`
  ADD PRIMARY KEY (`dbusersId`),
  ADD UNIQUE KEY `dbusersId` (`dbusersId`),
  ADD UNIQUE KEY `dbpasswordId` (`dbpasswordId`),
  ADD UNIQUE KEY `dbusernameId` (`dbusernameId`);

--
-- Indexes for table `dbvariabletype`
--
ALTER TABLE `dbvariabletype`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_variable_schemaid` (`dbvariableid`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `dbauth`
--
ALTER TABLE `dbauth`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbcnnString`
--
ALTER TABLE `dbcnnString`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbcollection`
--
ALTER TABLE `dbcollection`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbCountry`
--
ALTER TABLE `dbCountry`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbdelNote`
--
ALTER TABLE `dbdelNote`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbemail`
--
ALTER TABLE `dbemail`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbencoding`
--
ALTER TABLE `dbencoding`
  MODIFY `id` int(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbgenINV`
--
ALTER TABLE `dbgenINV`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbipAddress`
--
ALTER TABLE `dbipAddress`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbKYC`
--
ALTER TABLE `dbKYC`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbName`
--
ALTER TABLE `dbName`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbOrders`
--
ALTER TABLE `dbOrders`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbPackage`
--
ALTER TABLE `dbPackage`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbPAN`
--
ALTER TABLE `dbPAN`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbPassword`
--
ALTER TABLE `dbPassword`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbphone`
--
ALTER TABLE `dbphone`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbPINCODE`
--
ALTER TABLE `dbPINCODE`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbPO`
--
ALTER TABLE `dbPO`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbPROD`
--
ALTER TABLE `dbPROD`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbSchema`
--
ALTER TABLE `dbSchema`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbState`
--
ALTER TABLE `dbState`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbType`
--
ALTER TABLE `dbType`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbUname`
--
ALTER TABLE `dbUname`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `dbvariabletype`
--
ALTER TABLE `dbvariabletype`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `dbACL`
--
ALTER TABLE `dbACL`
  ADD CONSTRAINT `fk_acl_permissionid` FOREIGN KEY (`dbaclId`) REFERENCES `dbPermission` (`dbaclId`);

--
-- Constraints for table `dbauth`
--
ALTER TABLE `dbauth`
  ADD CONSTRAINT `fk_auth_schemaid` FOREIGN KEY (`dbauthid`) REFERENCES `dbSchema` (`dbschemautfId`);

--
-- Constraints for table `dbBilling`
--
ALTER TABLE `dbBilling`
  ADD CONSTRAINT `fk_billing_deployid` FOREIGN KEY (`dbbillingId`) REFERENCES `dbDeploy` (`dbdeploybillingid`),
  ADD CONSTRAINT `fk_billing_invoiceid` FOREIGN KEY (`dbbillingId`) REFERENCES `dbInvoice` (`dbbillingid`),
  ADD CONSTRAINT `fk_billing_ordersid` FOREIGN KEY (`dbbillingId`) REFERENCES `dbOrders` (`dbbillingid`),
  ADD CONSTRAINT `fk_billling_planid` FOREIGN KEY (`dbbillingId`) REFERENCES `dbPlans` (`planbillingId`);

--
-- Constraints for table `dbCategory`
--
ALTER TABLE `dbCategory`
  ADD CONSTRAINT `fk_cat_nameid` FOREIGN KEY (`dbCatId`) REFERENCES `dbName` (`dbnamecatId`),
  ADD CONSTRAINT `fk_category_instanceid` FOREIGN KEY (`dbCatId`) REFERENCES `dbInstance` (`dbcatergoryId`),
  ADD CONSTRAINT `fk_category_passwordid` FOREIGN KEY (`dbCatId`) REFERENCES `dbPassword` (`dbpasswordcategoryId`),
  ADD CONSTRAINT `fk_category_typeid` FOREIGN KEY (`dbCatTypeId`) REFERENCES `dbType` (`dbtypeId`),
  ADD CONSTRAINT `fk_category_unameid` FOREIGN KEY (`dbCatId`) REFERENCES `dbUname` (`dbUnamecatId`);

--
-- Constraints for table `dbCharges`
--
ALTER TABLE `dbCharges`
  ADD CONSTRAINT `fk_charge_invoiceid` FOREIGN KEY (`dbchargeId`) REFERENCES `dbInvoice` (`dbchargeid`);

--
-- Constraints for table `dbCity`
--
ALTER TABLE `dbCity`
  ADD CONSTRAINT `fk_city_pinid` FOREIGN KEY (`dbcityId`) REFERENCES `dbPINCODE` (`dbcityId`);

--
-- Constraints for table `dbcnnString`
--
ALTER TABLE `dbcnnString`
  ADD CONSTRAINT `fk_dbcnnstring_ipaddr` FOREIGN KEY (`dbcnnstripId`) REFERENCES `dbipAddress` (`dbipId`);

--
-- Constraints for table `dbcollection`
--
ALTER TABLE `dbcollection`
  ADD CONSTRAINT `fk_collection_schemaid` FOREIGN KEY (`dbcollectionid`) REFERENCES `dbSchema` (`dbschemacollId`);

--
-- Constraints for table `dbCountry`
--
ALTER TABLE `dbCountry`
  ADD CONSTRAINT `fk_country_pinid` FOREIGN KEY (`dbcountryId`) REFERENCES `dbPINCODE` (`dbcoutryId`),
  ADD CONSTRAINT `fk_country_portno` FOREIGN KEY (`dbcountryId`) REFERENCES `dbPortNumber` (`dbcoutryId`),
  ADD CONSTRAINT `fk_country_stateid` FOREIGN KEY (`dbcountryId`) REFERENCES `dbState` (`dbcountryId`);

--
-- Constraints for table `dbCustomer`
--
ALTER TABLE `dbCustomer`
  ADD CONSTRAINT `fk_customer_billingid` FOREIGN KEY (`customerId`) REFERENCES `dbBilling` (`customerId`),
  ADD CONSTRAINT `fk_customer_invoiceid` FOREIGN KEY (`customerId`) REFERENCES `dbInvoice` (`customerId`);

--
-- Constraints for table `dbemail`
--
ALTER TABLE `dbemail`
  ADD CONSTRAINT `fk_email_customerid` FOREIGN KEY (`dbemailId`) REFERENCES `dbCustomer` (`emailId`),
  ADD CONSTRAINT `fk_email_panid` FOREIGN KEY (`dbemailId`) REFERENCES `dbPAN` (`dbemailId`);

--
-- Constraints for table `dbencoding`
--
ALTER TABLE `dbencoding`
  ADD CONSTRAINT `fk_encoding_schemaid` FOREIGN KEY (`dbencodingid`) REFERENCES `dbSchema` (`dbschemaencodingId`);

--
-- Constraints for table `dbInstance`
--
ALTER TABLE `dbInstance`
  ADD CONSTRAINT `fk_instance_categoryid` FOREIGN KEY (`dbinstanceId`) REFERENCES `dbCategory` (`dbCatInstId`),
  ADD CONSTRAINT `fk_instance_cnnstringid` FOREIGN KEY (`dbinstanceId`) REFERENCES `dbcnnString` (`dbcnnstrinstid`),
  ADD CONSTRAINT `fk_instance_ipaddressid` FOREIGN KEY (`dbinstanceId`) REFERENCES `dbipAddress` (`dbipId`),
  ADD CONSTRAINT `fk_instance_nameid` FOREIGN KEY (`dbinstanceId`) REFERENCES `dbName` (`dbnameinstId`),
  ADD CONSTRAINT `fk_instance_passwordid` FOREIGN KEY (`dbinstanceId`) REFERENCES `dbPassword` (`dbpasswordinstId`),
  ADD CONSTRAINT `fk_instance_portnoid` FOREIGN KEY (`dbinstanceId`) REFERENCES `dbPortNumber` (`dbportinstanceId`),
  ADD CONSTRAINT `fk_instance_typeid` FOREIGN KEY (`dbinstanceId`) REFERENCES `dbType` (`dbtypeinstId`),
  ADD CONSTRAINT `fk_instance_unameid` FOREIGN KEY (`dbinstanceId`) REFERENCES `dbUname` (`dbUnameinstId`);

--
-- Constraints for table `dbInvoice`
--
ALTER TABLE `dbInvoice`
  ADD CONSTRAINT `fk_invoice_billingid` FOREIGN KEY (`customerId`) REFERENCES `dbBilling` (`dbinvoiceId`),
  ADD CONSTRAINT `fk_invoice_geninvid` FOREIGN KEY (`dbinvoiceId`) REFERENCES `dbgenINV` (`dbgeninvinvid`),
  ADD CONSTRAINT `fk_invoice_invoicelineid` FOREIGN KEY (`dbinvoicelineitemId`) REFERENCES `dbInvoiceLineItem` (`dbinvoicelineitemId`);

--
-- Constraints for table `dbInvoiceLineItem`
--
ALTER TABLE `dbInvoiceLineItem`
  ADD CONSTRAINT `fk_invoicelineitem_invoiceid` FOREIGN KEY (`dbinvoicelineitemId`) REFERENCES `dbInvoice` (`dbinvoicelineitemId`);

--
-- Constraints for table `dbipAddress`
--
ALTER TABLE `dbipAddress`
  ADD CONSTRAINT `FK_dbipaddre_passwordid` FOREIGN KEY (`dbippwdId`) REFERENCES `dbPassword` (`dbpasswordId`),
  ADD CONSTRAINT `fk_ipaddress_cnnstringid` FOREIGN KEY (`dbipId`) REFERENCES `dbcnnString` (`dbcnnstripId`),
  ADD CONSTRAINT `fk_ipaddress_instanceid` FOREIGN KEY (`dbipId`) REFERENCES `dbInstance` (`dbipaddressId`);

--
-- Constraints for table `dbKYC`
--
ALTER TABLE `dbKYC`
  ADD CONSTRAINT `fk_kyc_panid` FOREIGN KEY (`dbkycId`) REFERENCES `dbPAN` (`dbkycId`);

--
-- Constraints for table `dbName`
--
ALTER TABLE `dbName`
  ADD CONSTRAINT `fk_name_catid` FOREIGN KEY (`dbnamecatId`) REFERENCES `dbCategory` (`dbCatId`),
  ADD CONSTRAINT `fk_name_instanceid` FOREIGN KEY (`dbnameId`) REFERENCES `dbInstance` (`dbnameId`),
  ADD CONSTRAINT `fk_name_typeid` FOREIGN KEY (`dbnametypeId`) REFERENCES `dbType` (`dbtypeId`),
  ADD CONSTRAINT `fk_name_unameid` FOREIGN KEY (`dbnameId`) REFERENCES `dbUname` (`dbnameId`);

--
-- Constraints for table `dbOrganization`
--
ALTER TABLE `dbOrganization`
  ADD CONSTRAINT `fk_organisation_usuageid` FOREIGN KEY (`dborganizationId`) REFERENCES `dbUsageLimit` (`dborgid`);

--
-- Constraints for table `dbPackage`
--
ALTER TABLE `dbPackage`
  ADD CONSTRAINT `fk_package_ordersid` FOREIGN KEY (`dbpackageId`) REFERENCES `dbOrders` (`dbpackageid`),
  ADD CONSTRAINT `fk_package_planbillingid` FOREIGN KEY (`dbpackageId`) REFERENCES `dbPlanBilling` (`dbpackageid`);

--
-- Constraints for table `dbPAN`
--
ALTER TABLE `dbPAN`
  ADD CONSTRAINT `fk_pan_organisationid` FOREIGN KEY (`dbpanId`) REFERENCES `dbOrganization` (`dbpanid`);

--
-- Constraints for table `dbPassword`
--
ALTER TABLE `dbPassword`
  ADD CONSTRAINT `fk_password_cnnstringid` FOREIGN KEY (`dbpasswordId`) REFERENCES `dbcnnString` (`dbcnnstrpwId`),
  ADD CONSTRAINT `fk_password_instanceid` FOREIGN KEY (`dbpasswordId`) REFERENCES `dbInstance` (`dbpasswordId`),
  ADD CONSTRAINT `fk_password_ipaddressid` FOREIGN KEY (`dbpasswordId`) REFERENCES `dbipAddress` (`dbippwdId`),
  ADD CONSTRAINT `fk_password_portno` FOREIGN KEY (`dbpasswordId`) REFERENCES `dbPortNumber` (`dbportpwId`),
  ADD CONSTRAINT `fk_password_usersid` FOREIGN KEY (`dbpasswordId`) REFERENCES `dbUsers` (`dbpasswordId`);

--
-- Constraints for table `dbPermission`
--
ALTER TABLE `dbPermission`
  ADD CONSTRAINT `fk_permission_roleid` FOREIGN KEY (`dbpermissionId`) REFERENCES `dbRole` (`dbpermissionid`);

--
-- Constraints for table `dbphone`
--
ALTER TABLE `dbphone`
  ADD CONSTRAINT `fk_phone_panid` FOREIGN KEY (`dbphoneid`) REFERENCES `dbPAN` (`dbphoneId`);

--
-- Constraints for table `dbPINCODE`
--
ALTER TABLE `dbPINCODE`
  ADD CONSTRAINT `fk_pin_cityid` FOREIGN KEY (`dbcityId`) REFERENCES `dbCity` (`dbcityId`),
  ADD CONSTRAINT `fk_pin_countryid` FOREIGN KEY (`dbcoutryId`) REFERENCES `dbCountry` (`dbcountryId`),
  ADD CONSTRAINT `fk_pin_stateid` FOREIGN KEY (`dbstateId`) REFERENCES `dbState` (`dbstateId`);

--
-- Constraints for table `dbPlan`
--
ALTER TABLE `dbPlan`
  ADD CONSTRAINT `fk_plan_customerid` FOREIGN KEY (`dbplanId`) REFERENCES `dbCustomer` (`planId`),
  ADD CONSTRAINT `fk_plan_planbillingid` FOREIGN KEY (`dbplanId`) REFERENCES `dbPlanBilling` (`dbplanid`),
  ADD CONSTRAINT `fk_plan_usuageid` FOREIGN KEY (`dbplanId`) REFERENCES `dbUsageLimit` (`dbplanid`);

--
-- Constraints for table `dbPortNumber`
--
ALTER TABLE `dbPortNumber`
  ADD CONSTRAINT `fk_port_instanceid` FOREIGN KEY (`dbportId`) REFERENCES `dbInstance` (`dbportId`);

--
-- Constraints for table `dbRole`
--
ALTER TABLE `dbRole`
  ADD CONSTRAINT `fk_role_UACid` FOREIGN KEY (`dbroleId`) REFERENCES `dbUAC` (`dbroleId`),
  ADD CONSTRAINT `fk_role_aclid` FOREIGN KEY (`dbroleId`) REFERENCES `dbACL` (`dbroleId`),
  ADD CONSTRAINT `fk_role_usuageid` FOREIGN KEY (`dbroleId`) REFERENCES `dbUsageLimit` (`dbroleid`);

--
-- Constraints for table `dbSchema`
--
ALTER TABLE `dbSchema`
  ADD CONSTRAINT `fk_schema_categoryid` FOREIGN KEY (`dbschemaId`) REFERENCES `dbCategory` (`dbschemaId`),
  ADD CONSTRAINT `fk_schema_chargesid` FOREIGN KEY (`dbschemaId`) REFERENCES `dbCharges` (`dbschemaid`),
  ADD CONSTRAINT `fk_schema_instanceid` FOREIGN KEY (`dbschemaId`) REFERENCES `dbInstance` (`dbschemaId`),
  ADD CONSTRAINT `fk_schema_nameid` FOREIGN KEY (`dbschemaId`) REFERENCES `dbName` (`dbschemaId`),
  ADD CONSTRAINT `fk_schema_typeid` FOREIGN KEY (`dbschemaId`) REFERENCES `dbType` (`dbschemaid`),
  ADD CONSTRAINT `fk_schema_usuageid` FOREIGN KEY (`dbschemaId`) REFERENCES `dbUsageLimit` (`dbschemaid`);

--
-- Constraints for table `dbState`
--
ALTER TABLE `dbState`
  ADD CONSTRAINT `fk_state_cityid` FOREIGN KEY (`dbstateId`) REFERENCES `dbCity` (`dbstateId`),
  ADD CONSTRAINT `fk_state_pinid` FOREIGN KEY (`dbstateId`) REFERENCES `dbPINCODE` (`dbstateId`);

--
-- Constraints for table `dbType`
--
ALTER TABLE `dbType`
  ADD CONSTRAINT `fk_type_catid` FOREIGN KEY (`dbtypecatId`) REFERENCES `dbCategory` (`dbCatId`),
  ADD CONSTRAINT `fk_type_cnnstring` FOREIGN KEY (`dbtypeId`) REFERENCES `dbcnnString` (`dbcnnstrtypeId`),
  ADD CONSTRAINT `fk_type_instanceid` FOREIGN KEY (`dbtypeId`) REFERENCES `dbInstance` (`dbtypeId`),
  ADD CONSTRAINT `fk_type_kycid` FOREIGN KEY (`dbtypeId`) REFERENCES `dbKYC` (`dbkyctypeId`),
  ADD CONSTRAINT `fk_type_nameid` FOREIGN KEY (`dbtypeId`) REFERENCES `dbName` (`dbnametypeId`),
  ADD CONSTRAINT `fk_type_planid` FOREIGN KEY (`dbtypeId`) REFERENCES `dbPlans` (`dbplantypeId`),
  ADD CONSTRAINT `fk_type_schemaid` FOREIGN KEY (`dbtypeId`) REFERENCES `dbSchema` (`dbtypeId`);

--
-- Constraints for table `dbUAC`
--
ALTER TABLE `dbUAC`
  ADD CONSTRAINT `fk_UAC_roleid` FOREIGN KEY (`dbroleId`) REFERENCES `dbRole` (`dbuacid`);

--
-- Constraints for table `dbUname`
--
ALTER TABLE `dbUname`
  ADD CONSTRAINT `fk_dbunsername_catid` FOREIGN KEY (`dbUnamecatId`) REFERENCES `dbCategory` (`dbCatId`),
  ADD CONSTRAINT `fk_dbusername_nameid` FOREIGN KEY (`dbnameId`) REFERENCES `dbName` (`dbnameId`),
  ADD CONSTRAINT `fk_uname_portnoid` FOREIGN KEY (`dbUnameId`) REFERENCES `dbPortNumber` (`dbportunId`),
  ADD CONSTRAINT `fk_username_cnnstringid` FOREIGN KEY (`dbUnameId`) REFERENCES `dbcnnString` (`dbcnnstrunId`),
  ADD CONSTRAINT `fk_username_instanceid` FOREIGN KEY (`dbUnameinstId`) REFERENCES `dbInstance` (`dbusernameId`),
  ADD CONSTRAINT `fk_username_ipaddressid` FOREIGN KEY (`dbUnameId`) REFERENCES `dbipAddress` (`dbipunId`),
  ADD CONSTRAINT `fk_username_passwordid` FOREIGN KEY (`dbUnameId`) REFERENCES `dbPassword` (`dbpasswordunId`),
  ADD CONSTRAINT `fk_username_usersid` FOREIGN KEY (`dbUnameId`) REFERENCES `dbUsers` (`dbusernameId`);

--
-- Constraints for table `dbUsers`
--
ALTER TABLE `dbUsers`
  ADD CONSTRAINT `fk_user_customerid` FOREIGN KEY (`dbusersId`) REFERENCES `dbCustomer` (`userId`),
  ADD CONSTRAINT `fk_users_aclid` FOREIGN KEY (`dbusersId`) REFERENCES `dbACL` (`dbuserId`),
  ADD CONSTRAINT `fk_users_roleid` FOREIGN KEY (`dbusersId`) REFERENCES `dbRole` (`dbuserid`);

--
-- Constraints for table `dbvariabletype`
--
ALTER TABLE `dbvariabletype`
  ADD CONSTRAINT `fk_variable_schemaid` FOREIGN KEY (`dbvariableid`) REFERENCES `dbSchema` (`dbschemavariabletypeID`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
